<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section, header and top navigation areas
 *
 * @package WordPress
 * @subpackage thenews-lite
 * @since thenews-lite 1.0.1
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title><?php wp_title( '|', true, 'right' ); ?></title>
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
    <link rel="shortcut icon" href="<?php echo $favicon['url'];?>" type="image/x-icon">
	<!--[if lt IE 9]>
	<script src="<?php echo get_template_directory_uri(); ?>/js/html5shiv.js" type="text/javascript"></script>
	<![endif]-->
	<?php wp_head(); ?>
</head>	
<body <?php body_class(); ?>>
<?php
	if(get_theme_mod('blogcafe_logo')) { $site_logo = get_theme_mod('blogcafe_logo'); }
	else { $site_logo = get_template_directory_uri() . '/images/logo.png'; }
	
	echo'<header class="main-color header-style">
    	<div class="header-top">
        <nav class="navbar navbar-default main-color" role="navigation">
        <div class="container">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="row">
            	<div class="col-md-2">
                    <div class="logo">
                    <a  href="'.esc_url( home_url( '/' ) ).'" title="'.esc_attr( get_bloginfo( 'name', 'display' ) ).'"><img src="'.$site_logo.'" alt=""></a>
                    </div>	
                    </div>
        <div class="container">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="row">
                  <div class="col-md-10 text-center">
				  <div id="mobilemenu" class="navbar-nav"></div>
				  
                  <div class="collapse navbar-collapse" id="navbar">';
                 	 //add_navbar_menu();	
					 wp_nav_menu( array( 'theme_location' => 'primary', 'fallback_cb' => 'false', 'container' => '','items_wrap' => '<ul class="nav navbar-nav" id="menu">%3$s</ul>' ) ); 
                          
                 echo'<div class="search-icon">
                          	<a href="#"><i class="fa fa-search"></i></a>
                          </div></div> 
                  
                  </div>
                  </div>
                  </div>   
                  </div>
        </div>
      </nav>
      </div>
    </header>';
 ?>
<div class="dialog dialog--close" id="search_popup_wrapper">
		<div class="dialog__overlay"></div>
		<div class="dialog__content"  id="dialog__contentss">
			<div class="morph-shape">
				<svg preserveAspectRatio="none" viewBox="0 0 520 280" height="100%" width="100%" xmlns="http://www.w3.org/2000/svg">
					<rect height="276" width="516" fill="none" y="3" x="3"/>
				</svg>
			</div>
			<div class="dialog-inner">
				<h2><?php esc_attr_e('Enter your keyword', 'thenews-lite'); ?></h2>

				<form class="search-popup-inner" action="<?php echo site_url(); ?>?s" method="get">
					<input type="text" placeholder="Search..." name="s">
					<button type="submit"><?php esc_attr_e('Search', 'thenews-lite'); ?></button>
				</form>
				<div>
					<button type="button" data-dialog-close="close" class="action main-color"><i class="fa fa-close"></i></button>
				</div>
		    </div>
		</div>
</div>