<?php
function thenews_lite_theme_customizer( $wp_customize ) {
	/*Site Option Section*/
    $wp_customize->add_section( 'thenews_lite_site_option_section' , array(
		'title'       => __( 'Site Option Section', 'thenews-lite' ),
		'priority'    => 200,
		'description' => __('Change site options here.', 'thenews-lite'),
	) );
	
	$wp_customize->add_setting( 'thenews_lite_logo' , array ( 'default' => '','sanitize_callback' => 'esc_url_raw'));
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'thenews_lite_logo', array(
		'label'    => __( 'Logo', 'thenews-lite' ),
		'section'  => 'thenews_lite_site_option_section',
		'settings' => 'thenews_lite_logo',
		'sanitize_callback' => 'esc_url_raw',
	) ) );
	
	$wp_customize->add_setting( 'thenews_lite_about' , array ( 'default' => '','sanitize_callback' => 'esc_textarea'));
	$wp_customize->add_control( 'thenews_lite_about', array(
	  'label' => __( 'Footer About', 'thenews-lite' ),
	  'type' => 'textarea',
	  'section' => 'thenews_lite_site_option_section',
	) );
	
	$wp_customize->add_setting( 'thenews_lite_social_media_email' , array ( 'default' => '','sanitize_callback' => 'esc_html'));
	$wp_customize->add_control( 'thenews_lite_social_media_email', array(
	  'label' => __( 'Footer Email', 'thenews-lite' ),
	  'type' => 'text',
	  'section' => 'thenews_lite_site_option_section',
	) );
	
	$wp_customize->add_setting( 'thenews_lite_social_media_phone' , array ( 'default' => '','sanitize_callback' => 'esc_html'));
	$wp_customize->add_control( 'thenews_lite_social_media_phone', array(
	  'label' => __( 'Footer Phone', 'thenews-lite' ),
	  'type' => 'text',
	  'section' => 'thenews_lite_site_option_section',
	) );
	
	$wp_customize->add_setting( 'thenews_lite_social_media_fax' , array ( 'default' => '','sanitize_callback' => 'esc_html'));
	$wp_customize->add_control( 'thenews_lite_social_media_fax', array(
	  'label' => __( 'Footer Fax', 'thenews-lite' ),
	  'type' => 'text',
	  'section' => 'thenews_lite_site_option_section',
	) );
	
	$wp_customize->add_setting( 'thenews_lite_social_media_fb' , array ( 'default' => '','sanitize_callback' => 'esc_html'));
	$wp_customize->add_control( 'thenews_lite_social_media_fb', array(
	  'label' => __( 'Facebook Link', 'thenews-lite' ),
	  'type' => 'text',
	  'section' => 'thenews_lite_site_option_section',
	) );
	
	$wp_customize->add_setting( 'thenews_lite_social_media_tw' , array ( 'default' => '','sanitize_callback' => 'esc_html'));
	$wp_customize->add_control( 'thenews_lite_social_media_tw', array(
	  'label' => __( 'Twitter Link', 'thenews-lite' ),
	  'type' => 'text',
	  'section' => 'thenews_lite_site_option_section',
	) );
	
	$wp_customize->add_setting( 'thenews_lite_social_media_in' , array ( 'default' => '','sanitize_callback' => 'esc_html'));
	$wp_customize->add_control( 'thenews_lite_social_media_in', array(
	  'label' => __( 'Instagram Link', 'thenews-lite' ),
	  'type' => 'text',
	  'section' => 'thenews_lite_site_option_section',
	) ); 
	
	$wp_customize->add_setting( 'thenews_lite_social_media_pi' , array ( 'default' => '','sanitize_callback' => 'esc_html'));
	$wp_customize->add_control( 'thenews_lite_social_media_pi', array(
	  'label' => __( 'Pinterest Link', 'thenews-lite' ),
	  'type' => 'text',
	  'section' => 'thenews_lite_site_option_section',
	) ); 
	
	$wp_customize->add_setting( 'thenews_lite_social_media_li' , array ( 'default' => '','sanitize_callback' => 'esc_html'));
	$wp_customize->add_control( 'thenews_lite_social_media_li', array(
	  'label' => __( 'Linkedin Link', 'thenews-lite' ),
	  'type' => 'text',
	  'section' => 'thenews_lite_site_option_section',
	) ); 
	
	$wp_customize->add_setting( 'thenews_lite_social_media_gp' , array ( 'default' => '','sanitize_callback' => 'esc_html'));
	$wp_customize->add_control( 'thenews_lite_social_media_gp', array(
	  'label' => __( 'GooglePlus Link', 'thenews-lite' ),
	  'type' => 'text',
	  'section' => 'thenews_lite_site_option_section',
	) ); 
	
	$wp_customize->add_setting( 'thenews_lite_social_media_tl' , array ( 'default' => '','sanitize_callback' => 'esc_html'));
	$wp_customize->add_control( 'thenews_lite_social_media_tl', array(
	  'label' => __( 'Tubmler Link', 'thenews-lite' ),
	  'type' => 'text',
	  'section' => 'thenews_lite_site_option_section',
	) ); 
	
	$wp_customize->add_setting( 'thenews_lite_footer_copyright' , array ( 'default' => '','sanitize_callback' => 'esc_html'));
	$wp_customize->add_control( 'thenews_lite_footer_copyright', array(
	  'label' => __( 'Copyright Text', 'thenews-lite' ),
	  'type' => 'text',
	  'section' => 'thenews_lite_site_option_section',
	) );
}
add_action( 'customize_register', 'thenews_lite_theme_customizer' );



?>