<?php
/**
 * The Sidebar containing the main widget areas.
 * If no widgets are set, the content below will be displayed
 *
 * @package WordPress
 * @subpackage thenews-lite
 * @since thenews-lite 1.0.1
 */
?>     
<div class="recent-post">
    <div class="right-heading">
		<h6><?php _e('Recent Posts', 'thenews-lite') ?></h6>
    </div>
    <?php  $recentpost  = new WP_Query( array( 'posts_per_page' => 4, 'order' => 'DESC'  ) );?>
    <?php  while ( $recentpost->have_posts() ) : $recentpost->the_post(); ?>
		<?php get_template_part( 'template-parts/content', 'sidebar' ); ?>
    <?php endwhile; ?>
    <?php wp_reset_query(); ?> 
</div>
        
<div class="categories">
    <div class="right-heading">
        <h6><?php _e('Categories','thenews-lite'); ?></h6>
    </div>
	<ul class="categories">
		<?php 
		$args = array(
		'orderby' => 'name',
		'order' => 'ASC'
		);
		$categories = get_categories($args);
		foreach($categories as $category) { 
			echo ' <li><a href="' . get_category_link( $category->term_id ) . '" title="' . sprintf( __( "View all posts in %s" , 'thenews-lite' ), $category->name ) . '" ' . '>' . $category->name.'<span>' . $category->count.'</span> </li> </a>';
		}?>  
	</ul>                     
</div>

<div class="tags">
    <div class="right-heading">
        <h6><?php esc_attr_e('Tags', 'thenews-lite'); ?></h6>
    </div>
	<ul>                       
		<?php $tags = get_tags();
		$html = "";
		foreach ( $tags as $tag ) {
		$tag_link = get_tag_link( $tag->term_id );
		$html .= " <li><a href='{$tag_link}' title='{$tag->name} Tag' class='{$tag->slug}'>";
		$html .= "{$tag->name}</a></li>";
		}
		echo $html;
		?>
	</ul>
</div>

<?php if ( is_active_sidebar( 'sidebar-1' )  ) : ?>
	<aside id="secondary" class="sidebar widget-area" role="complementary">
		<?php dynamic_sidebar( 'sidebar-1' ); ?>
	</aside><!-- .sidebar .widget-area -->
<?php endif; ?>