<?php
/**
 * The Template for displaying all single posts.
 *
 * @package WordPress
 * @subpackage thenews-lite
 * @since thenews-lite 1.0.1
 */

get_header(); ?>

<section id="article-page" class="bg-color">
    <div class="container">
		<div class="row">
            <div class="col-md-9">
				<?php  if ( have_posts() ) while ( have_posts() ) : the_post(); ?>    
                <h2><?php the_title(); ?></h2>
                <div class="article-links">
                    <ul>
                        <li><a href=""><i class="fa fa-user"></i><?php the_author(); ?> </a></li>
                        <li><i class="fa fa-clock-o"></i><?php the_time('d/m/Y'); ?></li>
                        <li><a href=""><i class="fa fa-comments"></i><?php comments_number( '0', '1', '%'); ?></a></li>
                    </ul>
					<?php the_post_thumbnail('full'); ?>
                    <?php the_content();?>
					<?php wp_link_pages(); ?> 
                </div>
                <div class="articles-tag">
                    <div class="row">
                        <div class="col-md-6 col-sm-6">
                            <div class="article-tags-m">
                                <h6><?php esc_attr_e('Tags :', 'thenews-lite'); ?></h6>
								<?php the_tags( '<ul><li>', '</li><li>', '</li></ul>' ); ?>
                            </div>
                        </div>
                        <div class="col-md-6 col-sm-6">
							<div class="share">
								<h6><?php esc_attr_e('Share :', 'thenews-lite'); ?></h6>
								<ul>
									<li><a href="http://www.facebook.com/sharer.php?u=<?php the_permalink();?>&amp;t=<?php the_title(); ?>" title="Share on Facebook."><i class="fa fa-facebook"></i></a></li>
									<li><a href="http://twitter.com/home/?status=<?php the_title(); ?> - <?php the_permalink(); ?>" title="Tweet this!"><i class="fa fa-twitter"></i></a></li>
									<li><a href="http://www.linkedin.com/shareArticle?mini=true&amp;title=<?php the_title(); ?>&amp;url=<?php the_permalink(); ?>" title="Share on LinkedIn"><i class="fa fa-linkedin"></i></a></li>
									<li><a href="https://plus.google.com/share?url=<?php the_permalink(); ?>" onclick="javascript:window.open(this.href,
								'', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;"><i class="fa fa-google-plus"></i></a></li>
								</ul>
							</div>  
                        </div>
                    </div>
                </div>
				<?php endwhile; // end of the loop. ?>
                <div class="row">
                    <div class="related-posts">
						<h4><?php esc_attr_e('Related Posts', 'thenews-lite'); ?></h4>
						<?php
						//for use in the loop, list 5 post titles related to first tag on current post
						$postid = get_the_ID(); 
						$term_list = wp_get_post_terms($post->ID, 'category', array("fields" => "all"));
						//print_r($term_list);
						$first_tag = $term_list[0]->term_id;
						$args = array( 'posts_per_page' => 3, 'post_type'   => 'post' ,	'post__not_in' => array($post->ID),	'tax_query' => array(
						array('taxonomy' => 'category','field' => 'id',  'terms' => $first_tag)
						) 
						);
						$my_query = new WP_Query($args);
						if( $my_query->have_posts() ) {
						while ($my_query->have_posts()) : $my_query->the_post(); ?>
							<?php get_template_part( 'template-parts/content', 'relatedpost' ); ?>
						<?php  endwhile;  }
						wp_reset_query();
						?>
                    </div>
                </div>
				<?php comments_template();?> 
            </div>
			<div class="col-md-3">
				<?php get_sidebar();?>
			</div>
        </div>
    </div>
</section>
<?php get_footer(); ?>