<?php
/**
 * The template part for displaying content
 *
 * @package WordPress
 * @subpackage thenews-lite
 * @since thenews-lite 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="latest-blog-details list-layout-blog">
		<div class="col-md-6">
			<a href="<?php the_permalink();?>">
				<?php if (has_post_thumbnail()) { ?>
					<?php the_post_thumbnail('thumb-small'); ?>
				<?php } else {?>
					<img src="<?php echo get_template_directory_uri();?>/images/no-image-1.png">
				<?php } ?>
			</a>
		</div>
		<div class="col-md-6">
			<div class="heading">
				<h3><a href="<?php the_permalink();?>"><?php $title = get_the_title(); echo mb_strimwidth($title, 0, 25, '...');?> </a></h3>
			</div>
			<div class="blog-links">
				<ul>
					<li><a href="#"><i class="fa fa-user"></i><?php echo $author = get_the_author(); ?>,</a></li>
					<li><a href="<?php echo $category_link = get_category_link( $category_id ); ?> "><i class="fa fa-tag"></i><?php echo  $category = the_category(','); ?></a></li>
					<li><i class="fa fa-clock-o"></i><?php echo get_the_date(); ?></li>
					<?php if ( have_comments() ) : ?><li><a href="#"><i class="fa fa-comments"></i><?php comments_popup_link(__('0 Comment', 'thenews-lite'), __('1 Comment', 'thenews-lite'), __('% Comments', 'thenews-lite')); ?></a></li><?php endif; // end have_comments() ?>
				</ul>
			</div>	
			<p><?php the_excerpt(); ?>
			 </p>
			<div class="continue"><a href="<?php the_permalink(); ?>"><?php esc_attr_e('Continue Reading', 'thenews-lite'); ?> </a></div>
		</div>
	</div>
</article>